/**
 * Copyright 1998-2007, CHISEL Group, University of Victoria, Victoria, BC, Canada.
 * All rights reserved.
 */
package ca.uvic.csr.shrimp;

public class FilterConstants {

    /** represents a filter that affects Artifacts */
    public static final String ARTIFACT_FILTER_TYPE = "artifact filter";
    
    /** represents a filter that affects Relationships */
    public static final String RELATIONSHIP_FILTER_TYPE = "relationship filter";

    public static final String STRING_FILTER_TYPE = "artifact type string filter";

    /** represents a filter that affects artifact types (as Strings) */
    public static final String ARTIFACT_TYPE_STRING_FILTER_TYPE = "artifact type string filter";
    
    /** represents a filter that affects relationship types (as Strings) */
    public static final String RELATIONSHIP_TYPE_STRING_FILTER_TYPE = "relationship type string filter";

    /** represents a filter that hides nodes for a collapsed node. */
    public static final String COLLAPSED_NODE_FILTER_TYPE = "collapsed node filter";

	public static final String GROUPED_NODE_FILTER_TYPE = "grouped node filter";
 
	/** represents a filter that hides individual relationships by id. */
	public static final String RELATIONSHIP_ID_FILTER_TYPE = "relationship id filter";
	
	public static final String DEGREE_OF_INTEREST_HIGHLIGHTER_TYPE = "degree of interest highlighter";
	public static final String DEGREE_OF_INTEREST_FILTER_TYPE = "degree of interest filter";

}
