package org.eclipse.mylar.zest.layouts.algorithms;

import java.awt.Dimension;

import org.eclipse.mylar.zest.layouts.dataStructures.InternalNode;
import org.eclipse.mylar.zest.layouts.dataStructures.InternalRelationship;

import edu.uci.ics.jung.visualization.contrib.KKLayout;

public class JungKKLayout extends AbstractJungLayout {

	

	public JungKKLayout(int styles) {
		super(styles);
	}

	protected void applyLayoutInternal(InternalNode[] entitiesToLayout,
			InternalRelationship[] relationshipsToConsider, double boundsX,
			double boundsY, double boundsWidth, double boundsHeight) {
		layout = new KKLayout(graph);
		layout.initialize(new Dimension((int)boundsWidth, (int)boundsHeight));

		
		KKLayout kkLayout = (KKLayout)layout;
		
		System.out.println(kkLayout.isIncremental());
		kkLayout.setMaxIterations(1000);
		kkLayout.setAdjustForGravity(true);
		kkLayout.setExchangeVertices(true);
		kkLayout.setLengthFactor(2.0);
		kkLayout.setDisconnectedDistanceMultiplier(2.0);
		
		int counter = 0;
		while ( kkLayout.incrementsAreDone() == false && counter++ < 1000) {
			kkLayout.advancePositions();
		}
	}

}
